curl --request POST \
--url https://production.deepvue.tech/v1/documents/extraction/ind_passport \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"document1": "<string>",
"document2": "<string>",
"name": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/documents/extraction/ind_passport"
payload = {
"document1": "<string>",
"document2": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({document1: '<string>', document2: '<string>', name: '<string>'})
};
fetch('https://production.deepvue.tech/v1/documents/extraction/ind_passport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/documents/extraction/ind_passport",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document1' => '<string>',
'document2' => '<string>',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/documents/extraction/ind_passport"
payload := strings.NewReader("{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/documents/extraction/ind_passport")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/documents/extraction/ind_passport")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"transaction_id": "0ff82adf-a9d6-4495-88f7-aabeea78ddb3",
"message": "Document processed successfuly",
"data": {
"address": "B - XXX / Y STREET NO.X XXXXXX , DELHI PIN : 1100XX, DELHI, INDIA",
"date_of_birth": "1994-01-19",
"date_of_expiry": "20XX-XX-28",
"date_of_issue": "20XX-XX-29",
"district": "DELHI",
"fathers_name": "KANDPAL",
"file_number": "DL1069718453416",
"first_name": "CHANDRA SHEKHAR",
"gender": "MALE",
"id_number": "NXXXXXXX",
"is_scanned": false,
"last_name": "KANDPAL",
"mothers_name": "INDIRA KANDPAL",
"name_of_spouse": null,
"name_on_card": "CHANDRA SHEKHAR KANDPAL",
"nationality": "INDIAN",
"pincode": "1100XX",
"place_of_birth": ", DELHI",
"place_of_issue": "DELHI",
"state": "Delhi"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"transaction_id": "string",
"code": 422,
"message": "Empty document. Valid base64 required."
}{
"detail": "Internal Server Error"
}Passport
With the help of Passport OCR API you can extract relevant fields like id_number, name, guardian_name, dob, address, and more from the image of an Passport document in the form of key-value pairs. Base64 encoded string(or publically accessible URL) of the document needs to be passed in request payload.
curl --request POST \
--url https://production.deepvue.tech/v1/documents/extraction/ind_passport \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"document1": "<string>",
"document2": "<string>",
"name": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/documents/extraction/ind_passport"
payload = {
"document1": "<string>",
"document2": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({document1: '<string>', document2: '<string>', name: '<string>'})
};
fetch('https://production.deepvue.tech/v1/documents/extraction/ind_passport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/documents/extraction/ind_passport",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document1' => '<string>',
'document2' => '<string>',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/documents/extraction/ind_passport"
payload := strings.NewReader("{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/documents/extraction/ind_passport")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/documents/extraction/ind_passport")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document1\": \"<string>\",\n \"document2\": \"<string>\",\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"transaction_id": "0ff82adf-a9d6-4495-88f7-aabeea78ddb3",
"message": "Document processed successfuly",
"data": {
"address": "B - XXX / Y STREET NO.X XXXXXX , DELHI PIN : 1100XX, DELHI, INDIA",
"date_of_birth": "1994-01-19",
"date_of_expiry": "20XX-XX-28",
"date_of_issue": "20XX-XX-29",
"district": "DELHI",
"fathers_name": "KANDPAL",
"file_number": "DL1069718453416",
"first_name": "CHANDRA SHEKHAR",
"gender": "MALE",
"id_number": "NXXXXXXX",
"is_scanned": false,
"last_name": "KANDPAL",
"mothers_name": "INDIRA KANDPAL",
"name_of_spouse": null,
"name_on_card": "CHANDRA SHEKHAR KANDPAL",
"nationality": "INDIAN",
"pincode": "1100XX",
"place_of_birth": ", DELHI",
"place_of_issue": "DELHI",
"state": "Delhi"
}
}{
"detail": "Inactive client_id"
}{
"detail": "Not authenticated"
}{
"detail": "Not a valid token"
}{
"transaction_id": "string",
"code": 422,
"message": "Empty document. Valid base64 required."
}{
"detail": "Internal Server Error"
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Body
The main document being submitted for extraction of respective information.
The secondary document being submitted along with the primary document for extraction of respective information.
The name of the document being submitted for extraction of respective information.